内容確認画面でWarning

2012 年 3 月 21 日

ホーム フォーラム テンプレート(テーマ) 内容確認画面でWarning

このトピックには6件の返信が含まれ、3人の参加者がいます。5 年、 8 ヶ月前 getmyselfback さんが最後の更新を行いました。

7件の投稿を表示中 - 1 - 7件目 (全7件中)
  • 投稿者
    投稿
  • #51422

    getmyselfback
    参加者

    動作に関するご質問の場合は必ずご記入ください。


    WordPress のバージョン:3.3.1

    Welcart のバージョン:1.1.3.1203171

    ご利用のテーマ:Cyber

    症状を確認したブラウザ:Safari

    サーバー(会社名、サービス名):さくらインターネット

    SSLの利用: 無し | 専用SSL | 共用SSL なし

    WordPress のパーマリンク設定:/%category%/%postname%/


    いつもお世話になっております。

    アップデート後から、カートの内容確認画面で、Warningが出るようになってしまいました。

    Warning: strtoupper() expects parameter 1 to be string, array given in /home/…/wp-includes/query.php on line 2322

    対処方法はあるでしょうか。

    よろしくお願い致します。

    追記;

    サーバー Apache/1.3.42 (Unix) mod_ssl/2.8.31 OpenSSL/0.9.8e

    MySQL 5.5.15-log

    PHP 5.3.10 memoly[global]:128M [locale]:256M [usage]:26M

    #64202

    nanbu
    参加者

    こんにちは。

    strtoupper()という関数は確かWelcartでは使っていなかったと思いますが、一度他のプラグインをすべて停止してテストしてみていただけますでしょうか。よろしくお願いいたします。

    #64203

    yskysmr
    キーマスター

    こんにちは。

    決済は Paypal(Express Checkout)をご利用でしょうか。

    もしそうでしたら、strtoupper() を通ることになりますが、こちらでは Warning は出力されません。また、strtoupper() を通るのは、PayPal の決済ボタンを押したとき、となります。

    #64204

    getmyselfback
    参加者

    ご無沙汰しました。

    体調崩して、入院しておりました。ご報告が遅くなって申し訳ありません。

    Welcart以外のプラグインを停止して、実行しましたが、結果は同じでした。

    PayPalは使用しておりません。

    原因はなんでしょうか。

    #64205

    getmyselfback
    参加者

    追加報告です。

    今、別々のレンタルサーバで実験しましたが、結果は同じでした。

    プラグインは停止しています。

    そして、試しに、Welcart Default Theme 1.1を使用してみましたが、問題有りませんでした。

    どうやら、CYBER 1.0.3 に原因があるような気がするのですが、如何でしょう。

    #64206

    nanbu
    参加者

    「cyber」の最新バージョンは現在v1.0.5ですが、最新にしても同じでしょうか。こちらではエラーが確認できません。

    #64207

    getmyselfback
    参加者

    こんにちは。

    いつもお世話になっております。

    cyberのアップデートには、気づいていませんでした。

    v1.0.5で解決いたしました。

    また何かあればご報告させて頂きます。

    ありがとうございました。

7件の投稿を表示中 - 1 - 7件目 (全7件中)

このトピックに返信するにはログインが必要です。